Index: x11/dgs/Makefile
===================================================================
diff -u x11/dgs/Makefile.orig x11/dgs/Makefile
--- x11/dgs/Makefile.orig	Sun Jul 27 16:30:36 2003
+++ x11/dgs/Makefile	Sun Jul 27 16:31:35 2003
@@ -14,10 +14,16 @@
 MAINTAINER=	nakai@FreeBSD.org
 COMMENT=	A display ghostscript system

+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
 LIB_DEPENDS= 	jpeg.9:${PORTSDIR}/graphics/jpeg \
 		png.5:${PORTSDIR}/graphics/png \
 		tiff.4:${PORTSDIR}/graphics/tiff
-RUN_DEPENDS=	gs:${PORTSDIR}/print/ghostscript-gnu
+RUN_DEPENDS=	gs:${PORTSDIR}/${GSPORT}

 USE_X_PREFIX=	yes
 USE_GMAKE=	yes
@@ -30,6 +36,14 @@

 .ifdef USE_DGS
 .error You have `USE_DGS' variable defined either in environment or in make(1) arguments. Please undefine and try again.
+.endif
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
 .endif

 pre-patch:
